Page MenuHomePhabricator

New Echo messages do not support {{GENDER:}}
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : masterFix GENDER without explicit parameter
mediawiki/extensions/Echo : masterAdd {{GENDER}} support to dynamic action messages
mediawiki/extensions/Flow : masterAdd {{GENDER}} support to Flow dynamic action messages

Event Timeline

Guycn2 created this task.Sep 1 2016, 8:15 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 1 2016, 8:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Guycn2 updated the task description. (Show Details)Sep 1 2016, 8:16 PM

Change 310152 had a related patch set uploaded (by Mooeypoo):
Add {{GENDER}} support to dynamic action messages

https://gerrit.wikimedia.org/r/310152

Change 310153 had a related patch set uploaded (by Mooeypoo):
Add {{GENDER}} support to Flow dynamic action messages

https://gerrit.wikimedia.org/r/310153

Apparently, {{GENDER:|}} (without a specified parameter) does not work in PHP (??) so I made sure we add the current username to the messages for gender purposes.

We'll need to re-translate using the $3 parameter for gender for this to work once it's deployed.

Change 310153 merged by jenkins-bot:
Add {{GENDER}} support to Flow dynamic action messages

https://gerrit.wikimedia.org/r/310153

Change 310152 merged by jenkins-bot:
Add {{GENDER}} support to dynamic action messages

https://gerrit.wikimedia.org/r/310152

Thank you for fixing it

Etonkovidova added a subscriber: Etonkovidova.EditedSep 14 2016, 6:44 PM

Checked in betalabs.
With the setting " (When mentioning you, the software will use gender neutral words whenever possible)"

After changing the setting to "She edits wiki pages"


Note:

  • it's actually not easy to find a language which distinguish between feminine and masculine forms for formal (singular and plural) second person pronouns.
  • however, the phrasing of the messages might include those pronouns in different forms (not necessary nominative) which makes it's good to have them with gender specific option.

Verified in Hebrew -- these two messages look correct. The first is "neutral" and the second is female-form, as was in the setting.

Change 310667 had a related patch set uploaded (by Mattflaschen):
Fix GENDER without explicit parameter

https://gerrit.wikimedia.org/r/310667

Change 310667 merged by jenkins-bot:
Fix GENDER without explicit parameter

https://gerrit.wikimedia.org/r/310667

jmatazzoni closed this task as Resolved.Oct 5 2016, 6:41 PM
jmatazzoni claimed this task.